create procedure rrhh.sp_limpiarTiposPlanillaUsuario
@numUsuario int,
@txtTiposPlanilla varchar(2000)
as
begin
	set nocount on;

	DECLARE @dbSql varchar(3000);

	set @dbSql = 'DELETE FROM rrhh.config_tiposPlanillaUsuario WHERE idUsuario = '+CAST(@numUsuario as varchar)+' AND codtipoplanilla not in('+@txtTiposPlanilla+')';
	EXEC(@dbSql);
end